Name: 		znc
Version: 	1.4
Release: 	101.1
Summary: 	Advanced IRC bouncer
Group: 		System Environment/Daemons
License: 	GPLv2
Source: 	http://dl.sf.net/sourceforge/znc/znc-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  gcc-c++ perl perl(ExtUtils::Embed) cyrus-sasl-devel openssl-devel tcl-devel
BuildRequires:	autoconf automake

%if 0%{?suse_version}
BuildRequires:	pkg-config
%endif

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?fedora_version}
BuildRequires:	pkgconfig
%endif

%description
ZNC is an IRC bounce with many advanced features like detaching,
multiple users, per channel playback buffer, SSL, IPv6, transparent
DCC bouncing, Perl and C++ module support to name a few.


%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q
%{__perl} -pi.add_release -e 's|(?<="ZNC \%1\.3f)|-%{release}|' znc.cpp


%build
[ ! -x configure ] && ./bootstrap.sh

%configure \
    --with-module-prefix="%{_libdir}/znc" \
    --enable-tcl \
    --enable-cyrus \
    --with-tcl=%{_libdir} \

make

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc AUTHORS LICENSE
%doc %{_mandir}/man1/znc.1*
%{_bindir}/znc
%{_datadir}/znc/
%{_libdir}/znc/

%files devel
%defattr(-, root, root, 0755)
%doc modules/sample.cpp
%doc %{_mandir}/man1/znc-buildmod.1*
%{_bindir}/znc-buildmod
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Oct  5 2014 cs@linux-administrator.com
- update to release 1.4
* Tue Jan 28 2014 cs@linux-administrator.com
- update to release 1.2
* Tue Feb 26 2013 cs@linux-administrator.com
- update to release 1.0
* Sun May  6 2012 cs@linux-administrator.com
- update to release 0.206
* Mon Sep 26 2011 cs@linux-administrator.com
- update to release 0.202
* Sun Jun 19 2011 cs@linux-administrator.com
- update to release 0.098
